Subject: Re: bug#52906: python-biopython conflicts with python-numpy

From: zimoun <[email-masked]>
Date: Fri, 31 Dec 2021 11:51:34 +0100

Hi Ricardo,

On Fri, 31 Dec 2021 at 11:18, Ricardo Wurmus <[email-masked]> wrote:
> zimoun <[email-masked]> writes:

> Back then we reverted to numpy 1.20.x as the default because of numba,
> which did not work with 1.21.  I’m now upgrading numba (and llvmlite) to
> a more recent release candidate, which should bring compatibility with
> numpy 1.21.
>
> If that works we’ll make python-numpy-next the new python-numpy.

I think that it could nice to have "python-numpy-next".  Now, because
we are right after a core-updates, the last Numpy version and the one
we use as scientific Python stack are really close.  But it will not
necessary the case between 2 core-updates merges.  Well, my point is
to have the core-updates package python-numpy used by all the
scientific Python stack and the leaf package python-numpy-next where
updates can happen on master, it can be used with transformations
etc., especially by scientific Python developper.

Cheers,
simon